Skip to main content
GET
/
api
/
v3
/
locations
Get Locations
curl --request GET \
  --url https://server.stage.overflow.co/api/v3/locations \
  --header 'x-client-id: <api-key>'
{
  "data": [
    {
      "id": "7710f34fd5061afeec3eab59",
      "createdAt": "2025-01-01T00:00:00.000Z",
      "updatedAt": "2025-01-01T00:00:00.000Z",
      "archivedAt": null,
      "name": "Main Campus",
      "hideFromDonors": false
    }
  ],
  "totalCount": 10
}

Authorizations

x-client-id
string
header
required

Client ID for API authentication

Query Parameters

limit
number
default:25

The number of locations to return.

Required range: 1 <= x <= 100
page
number
default:1

The page number of the locations to return.

Required range: x >= 1
includeArchived
boolean

Whether to include locations that have been archived.

sortBy
enum<string>
default:displayOrder

The field to sort the locations by.

Available options:
name,
createdAt,
displayOrder
Example:

"displayOrder"

sortDirection
enum<string>
default:ASC

The direction to sort the locations by.

Available options:
ASC,
DESC
Example:

"ASC"

Response

200 - application/json
data
object[]
required

List of locations.

totalCount
number
required

Total number of locations matching the filters.

Example:

10